package com.buy507.mall.model;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class UmsMemberOrderQueue implements Serializable {

    //0 普通队列
    public static Integer QUEUE_TYPE_ORDINARY = 0;
    //1 加速队列
    public static Integer QUEUE_TYPE_FAST = 1;
    //0 未退出
    public static Integer QUEUE_STATUS_WAIT = 0;
    //1 退出队列
    public static Integer QUEUE_STATUS_QUIT = 1;


    //0 未被加速
    public static Integer ACCELERATE_SWITCH_NO = 0;
    //1 已帮助加速
    public static Integer ACCELERATE_SWITCH_YES = 1;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "会员id")
    private Long memberId;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderAmount;

    @ApiModelProperty(value = "队列位置")
    private Long queueIndex;

    @ApiModelProperty(value = "0 未退出，1 退出队列")
    private Integer quitQueueMark;

    @ApiModelProperty(value = "0 普通队列，1 加速队列")
    private Integer queueType;

    @ApiModelProperty(value = "加速开关：0 未被加速，1 已帮助加速")
    private Integer accelerateSwitch;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "用户昵称")
    private String nick;

    @ApiModelProperty(value = "帮助加速的订单号")
    private Long accelerateOrderId;

    @ApiModelProperty(value = "用户手机号")
    private String phone;

    @ApiModelProperty(value = "上级用户Id")
    private Long highMemberId;

    @ApiModelProperty(value = "头像")
    private String avatar;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    public Long getQueueIndex() {
        return queueIndex;
    }

    public void setQueueIndex(Long queueIndex) {
        this.queueIndex = queueIndex;
    }

    public Integer getQuitQueueMark() {
        return quitQueueMark;
    }

    public void setQuitQueueMark(Integer quitQueueMark) {
        this.quitQueueMark = quitQueueMark;
    }

    public Integer getQueueType() {
        return queueType;
    }

    public void setQueueType(Integer queueType) {
        this.queueType = queueType;
    }

    public Integer getAccelerateSwitch() {
        return accelerateSwitch;
    }

    public void setAccelerateSwitch(Integer accelerateSwitch) {
        this.accelerateSwitch = accelerateSwitch;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getNick() {
        return nick;
    }
    public void setNick(String nick) {
        this.nick = nick;
    }
    public Long getAccelerateOrderId() {
        return accelerateOrderId;
    }
    public void setAccelerateOrderId(Long accelerateOrderId) {
        this.accelerateOrderId = accelerateOrderId;
    }
    public String getPhone() {
        return phone;
    }
    public void setPhone(String phone) {
        this.phone = phone;
    }
    public Long getHighMemberId() {
        return highMemberId;
    }
    public void setHighMemberId(Long highMemberId) {
        this.highMemberId = highMemberId;
    }
    public String getAvatar() {
        return avatar;
    }
    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", memberId=").append(memberId);
        sb.append(", orderId=").append(orderId);
        sb.append(", orderAmount=").append(orderAmount);
        sb.append(", queueIndex=").append(queueIndex);
        sb.append(", quitQueueMark=").append(quitQueueMark);
        sb.append(", queueType=").append(queueType);
        sb.append(", accelerateSwitch=").append(accelerateSwitch);
        sb.append(", createTime=").append(createTime);
        sb.append(", nick=").append(nick);
        sb.append(", accelerateOrderId=").append(accelerateOrderId);
        sb.append(", phone=").append(phone);
        sb.append(", highMemberId=").append(highMemberId);
        sb.append(", avatar=").append(avatar);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}